Subject: Re: B20: piping problem in pdksh
From: [email-masked]

12 Nov 1998 19:10:26 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="-"
To: [email-masked]
Cc: [email-masked]

This is a MIME encoded message.  Decode it with "munpack"
or any other MIME reading software.  Mpack/munpack is available
via anonymous FTP in ftp.andrew.cmu.edu:pub/mpack/
---

>- are you using Sergey Okhapkins updated cygwin1.dll (which has some B20 fixes)
>- what is your CYGWIN variable set to, and is it set *before* any cygwin
>  program is started?
>- are your mount points text==binary or text!=binary?
>
>For reference, my mounts are all text=binary, I'm using Sergeys coolview dll,
>and my CYGWIN variable is set to this:
>
>	CYGWIN=tty binmode glob title strip_title
>

Setting CYGWIN to "tty glob title strip_title" seemed to do the trick.
The binmode option broke my ~/.profile script.

>Oh, and if you want to email me your // pathname fixes for pdksh I'd appreciate
>it. ;^)

Attached is a modified path.c file for pdksh 5.2.13. Just grep for
CYGWIN32_PATCH to see my change. It's pretty simple.

I sent this modification to the maintainer of pdksh but did not get a reply.

Thanks for the help,
Terry Griffin
---
Content-Type: application/octet-stream; name="path.c"
Content-Transfer-Encoding: base64
Content-Disposition: inline; filename="path.c"
Content-MD5: Tbt1NawvLjFO/nR/aC7vdQ==

-----
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".